# Uses of Class
java.awt.image.Kernel

Packages that use Kernel
Package
Description
java.awt.image
Provides classes for creating and modifying images.

## Uses of Kernel in java.awt.image

Methods in java.awt.image that return Kernel
Modifier and Type
Method
Description
`Kernel`
ConvolveOp.`getKernel()`
Returns the Kernel.
Constructors in java.awt.image with parameters of type Kernel
Modifier
Constructor
Description
``
`ConvolveOp​(Kernel kernel)`
Constructs a ConvolveOp given a Kernel.
``
`ConvolveOp​(Kernel kernel, int edgeCondition, RenderingHints hints)`
Constructs a ConvolveOp given a Kernel, an edge condition, and a RenderingHints object (which may be null).